Index: /XIOS/trunk/src/transformation/axis_algorithm_zoom.cpp
===================================================================
--- /XIOS/trunk/src/transformation/axis_algorithm_zoom.cpp	(revision 665)
+++ /XIOS/trunk/src/transformation/axis_algorithm_zoom.cpp	(revision 666)
@@ -19,9 +19,9 @@
   zoomSize_  = zoomAxis->zoom_size.getValue();
 
-  if (zoomSize_ > axisSource->size.getValue())
+  if (zoomSize_ > axisSource->n_glo.getValue())
   {
     ERROR("CAxisAlgorithmZoom::CAxisAlgorithmZoom(CAxis* axisDestination, CAxis* axisSource, CZoomAxis* zoomAxis)",
-           << "Zoom size is greater than size of axis source"
-           << "Size of axis source " <<axisSource->getId() << " is " << axisSource->size.getValue()  << std::endl
+           << "Zoom size is greater than global size of axis source"
+           << "Global size of axis source " <<axisSource->getId() << " is " << axisSource->n_glo.getValue()  << std::endl
            << "Zoom size is " << zoomSize_ );
   }
@@ -35,6 +35,6 @@
 void CAxisAlgorithmZoom::computeIndexSourceMapping()
 {
-  StdSize niSource = axisSrc_->ni.getValue();
-  StdSize ibeginSource = axisSrc_->ibegin.getValue();
+  StdSize niSource = axisSrc_->n.getValue();
+  StdSize ibeginSource = axisSrc_->begin.getValue();
   StdSize iendSource = ibeginSource + niSource - 1;
 
@@ -73,5 +73,5 @@
 {
   StdSize niMask = axisDest_->mask.numElements();
-  StdSize iBeginMask = axisDest_->ibegin.getValue();
+  StdSize iBeginMask = axisDest_->begin.getValue();
   StdSize globalIndexMask = 0;
   std::map<int, std::vector<int> >& transMap = this->transformationMapping_;
Index: /XIOS/trunk/src/transformation/transformation_mapping.cpp
===================================================================
--- /XIOS/trunk/src/transformation/transformation_mapping.cpp	(revision 665)
+++ /XIOS/trunk/src/transformation/transformation_mapping.cpp	(revision 666)
@@ -45,6 +45,6 @@
   int clientRank = client->clientRank;
 
-  int niSrc     = source->ni.getValue();
-  int ibeginSrc = source->ibegin.getValue();
+  int niSrc     = source->n.getValue();
+  int ibeginSrc = source->begin.getValue();
 
   boost::unordered_map<size_t,int> globalIndexOfAxisSource;
